#!/usr/bin/python
# -*- coding: utf-8 -*-
# 
#   FILE: Elect2012FollowerObj.py
#   DATE: April, 2012
#   Author: David W. McDonald
#
#   An object that mirrors the followers table in the database 
#
#   Copyright by Author. All rights reserved. Not for reuse without
#   express permissions.
#
#
from hcde.data.db.base.followerObj import followerObj

class Elect2012FollowerObj(followerObj):
    def __init__(self):
        followerObj.__init__(self)

    def __repr__(self):
        result = "Elect2012FollowerObj():\n\t"
        result = result+"rid: %s\n\t"%(str(self.rid))
        result = result+"user: "+self.user.encode('utf-8')+"\n\t"
        result = result+"follower: "+self.follower.encode('utf-8')+"\n\t"
        result = result+"user_id: %s\n\t"%(str(self.user_id))
        result = result+"follower_id: %s"%(str(self.follower_id))
        return result
